Page MenuHomePhabricator

Update MirrorMaker in Kafka .deb and puppet module [13 pts]
Closed, ResolvedPublic

Description

Kafka MirrorMaker was debianized and puppetized a long time ago, but not updated in more recent packages and puppetization. Need to make a systemd unit and update puppet to use --new.producer.

Details

Related Gerrit Patches:
operations/puppet/kafka : masterRefactor MirrorMaker puppetization
operations/debs/kafka : debian0.8.2.1-4 release - kafka-mirror package enhancements

Event Timeline

Ottomata created this task.Jan 19 2016, 7:13 PM
Ottomata claimed this task.
Ottomata raised the priority of this task from to Normal.
Ottomata updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 19 2016, 7:13 PM

Change 265288 had a related patch set uploaded (by Ottomata):
Add special opt --consumer.configs to kafka mirror-maker command

https://gerrit.wikimedia.org/r/265288

Change 265288 merged by Ottomata:
0.8.2.1-4 release - kafka-mirror package enhancements

https://gerrit.wikimedia.org/r/265288

Ottomata renamed this task from Update MirrorMaker in Kafka .deb and puppet module to Update MirrorMaker in Kafka .deb and puppet module [13 pts].Jan 22 2016, 5:14 PM
Ottomata edited projects, added Analytics-Kanban; removed Analytics.
Ottomata set Security to None.
Ottomata moved this task from Next Up to In Progress on the Analytics-Kanban board.

Change 265789 had a related patch set uploaded (by Ottomata):
Refactor MirrorMaker puppetization

https://gerrit.wikimedia.org/r/265789

Change 265789 merged by Ottomata:
Refactor MirrorMaker puppetization

https://gerrit.wikimedia.org/r/265789

Ottomata moved this task from In Progress to Done on the Analytics-Kanban board.Jan 27 2016, 5:01 PM
Nuria closed this task as Resolved.Jan 28 2016, 5:41 PM